Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Interface WFObjectListListener

public interface WFObjectListListener

This interface is intended for use by a client application that processes workflow objects such as process definitions (`Plan` objects), process instances (`ProcessInstance` objects) or work items `WorkItem` objects) from the server according to specific criteria specified by a filter.

Implementing this interface and adding it to a `WFObjectList` allows for notifying changes, such as adding, modifying or removing of workflow objects that are received via the `WFObjectList`.

To achieve proactive notification, the list of `WFObjectList` must be open with notification. Use one of the following methods to do this: `WFObjectList.openListWithNotification` or `WFObjectList.openBatchedListWithNotification` for batched lists. You can add additional listeners to the `WFObjectList` using the method `WFObjectList.addWFObjectListListener`.

See Also:
  `WFObjectList`

Method Summary
`void` | `objectAdded(java.lang.Object object)` This method is called if a workflow object that is part of the `WFObjectList` this listener belongs to is added.
`void` | `objectModified(java.lang.Object object)` This method is called if a workflow object that is part of the `WFObjectList` this listener belongs to is modified.
`void` | `objectRemoved(java.lang.Object object)` This method is called when a workflow object that is part of the `WFObjectList` this listener belongs to is deleted.

Method Detail

### objectRemoved

    public void objectRemoved(java.lang.Object object)

  This method is called when a workflow object that is part of the `WFObjectList` this listener belongs to is deleted.

  Parameters:
    `object` - The removed workflow object.

### objectAdded

    public void objectAdded(java.lang.Object object)

  This method is called if a workflow object that is part of the `WFObjectList` this listener belongs to is added.

  Parameters:
    `object` - The added workflow object.

### objectModified

    public void objectModified(java.lang.Object object)

  This method is called if a workflow object that is part of the `WFObjectList` this listener belongs to is modified.

  Parameters:
    `object` - The modified workflow object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD